diff -ur snort-2.0.2/src/tag.c snort-2.0.2-ipv6/src/tag.c
--- snort-2.0.2/src/tag.c	Sat Mar 29 07:17:40 2003
+++ snort-2.0.2-ipv6/src/tag.c	Sat Nov 29 16:34:50 2003
@@ -18,13 +18,17 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: tag.c,v 1.31 2003/03/28 22:17:40 chris_reid Exp $ */
+/* $Id: tag.c,v 1.2 2003/11/29 07:34:50 abekatsu Exp $ */
 
 /*  I N C L U D E S  ************************************************/
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
 
+#if HAVE_SOCKADDR_STORAGE
+#include <arpa/inet.h>
+#endif
+
 #include <sys/types.h>
 #include <stdlib.h>
 #include <rpc/types.h>
@@ -39,6 +43,7 @@
 #include "log.h"
 
 #include "ubi_SplayTree.h"
+#include "parser/IpAddrSet.h"
 
 /* @todo Move all inlines to one central place */
 #ifndef DEBUG
@@ -85,8 +90,13 @@
     ubi_trNode Node;
     
     /* ip addrs */
+#if HAVE_SOCKADDR_STORAGE
+    struct sockaddr_storage sip;
+    struct sockaddr_storage dip;
+#else
     u_int32_t sip;
     u_int32_t dip;
+#endif
 
     /* ports */
     u_int16_t sp;
@@ -187,6 +197,31 @@
  */
 static void PrintTagNode(TagNode *np)
 {
+#if HAVE_SOCKADDR_STORAGE
+    char src[INET6_ADDRSTRLEN], dst[INET6_ADDRSTRLEN];
+    struct sockaddr_in *sin_src, *sin_dst;
+    struct sockaddr_in6 *sin6_src, *sin6_dst;
+
+    switch(np->sip.ss_family)
+    {
+    case PF_INET:
+	sin_src = (struct sockaddr_in *)&np->sip;
+	sin_dst = (struct sockaddr_in *)&np->dip;
+	inet_ntop(PF_INET, sin_src->sin_addr, src, INET_ADDRSTRLEN);
+	inet_ntop(PF_INET, sin_dst->sin_addr, dst, INET_ADDRSTRLEN);
+	break;
+    case PF_INET6:
+	sin6_src = (struct sockaddr_in6 *)&np->sip;
+	sin6_dst = (struct sockaddr_in6 *)&np->dip;
+	inet_ntop(PF_INET6, sin6_src->sin6_addr, src, INET6_ADDRSTRLEN);
+	inet_ntop(PF_INET6, sin6_dst->sin6_addr, dst, INET6_ADDRSTRLEN);
+	break;
+    default:
+	;
+    }
+#endif
+
+  
     if(!DebugThis(DEBUG_FLOW))
     {
         return;
@@ -201,8 +236,13 @@
            "LastAccess: %u, event_id: %u mode: %u event_time.tv_sec: %u\n"
            "| Packets: %d, Bytes: %d, Seconds: %d\n",
            np->proto,
+#if HAVE_SOCKADDR_STORAGE
+           src, np->sp,
+           dst, np->dp,
+#else
            np->sip, np->sp,
            np->dip, np->dp,
+#endif
            np->metric,
            np->last_access,
            np->event_id,
@@ -223,12 +263,23 @@
  */
 static INLINE void SwapTag(TagNode *np)
 {
+#if HAVE_SOCKADDR_STORAGE
+    struct sockaddr_storage ss;
+#else
     u_int32_t tip;
+#endif
     u_int16_t tport;
 
+#if HAVE_SOCKADDR_STORAGE
+    memset(&ss, 0, sizeof(struct sockaddr_storage));
+    memmove(&ss, &np->sip, sizeof(struct sockaddr_storage));
+    memmove(&np->sip, &np->dip, sizeof(struct sockaddr_storage));
+    memmove(&np->dip, &ss, sizeof(struct sockaddr_storage));
+#else
     tip = np->sip;
     np->sip = np->dip;
     np->dip = tip;
+#endif
 
     tport = np->sp;
     np->sp = np->dp;
@@ -244,6 +295,26 @@
     nTag = ((TagNode *)NodePtr);
     iTag = ((TagNode *)ItemPtr);
 
+#if HAVE_SOCKADDR_STORAGE
+    if( IpAddrComp(&nTag->sip, &iTag->sip) == 1) 
+    {
+	return 1;
+    }
+    else if ( IpAddrComp(&nTag->sip, &iTag->sip) == -1) 
+    {
+	return -1;
+    }
+
+    if( IpAddrComp(&nTag->dip, &iTag->dip) == 1) 
+    {
+	return 1;
+    }
+    else if ( IpAddrComp(&nTag->dip, &iTag->dip) == -1) 
+    {
+	return -1;
+    }
+
+#else
     if(nTag->sip < iTag->sip)
     {
         return 1;
@@ -261,6 +332,7 @@
     {
         return -1;
     }
+#endif
 
     if(nTag->sp < iTag->sp)
     {
@@ -292,6 +364,16 @@
     nTag = ((TagNode *)NodePtr);
     iTag = ((TagNode *)ItemPtr);
 
+#if HAVE_SOCKADDR_STORAGE
+    if( IpAddrComp(&nTag->sip, &iTag->sip) == 1) 
+    {
+	return 1;
+    }
+    else if ( IpAddrComp(&nTag->sip, &iTag->sip) == -1) 
+    {
+	return -1;
+    }
+#else
     if(nTag->sip < iTag->sip)
     {
         return 1;
@@ -300,7 +382,7 @@
     {
         return -1;
     }
-
+#endif
     return 0;
 }
 
@@ -349,16 +431,50 @@
     TagNode *idx;  /* index pointer */
     TagNode *returned;
     ubi_trRootPtr tag_cache_ptr = NULL;
+#if HAVE_SOCKADDR_STORAGE
+    struct sockaddr_in *sin_src = NULL, *sin_dst = NULL;
+    struct sockaddr_in6 *sin6_src = NULL, *sin6_dst = NULL;
+#endif
 
     DEBUG_WRAP(DebugMessage(DEBUG_FLOW, "Adding new Tag Head\n"););
 
     idx = (TagNode *) TagAlloc(sizeof(TagNode));
 
+#if HAVE_SOCKADDR_STORAGE
+    if(p->iph != NULL)
+    {
+	 sin_src = (struct sockaddr_in *)&idx->sip;
+	 sin_dst = (struct sockaddr_in *)&idx->dip;
+	 sin_src->sin_family = PF_INET;
+	 sin_dst->sin_family = PF_INET;
+	 memmove(&sin_src->sin_addr, &p->iph->ip_src, sizeof(struct in_addr));
+	 memmove(&sin_dst->sin_addr, &p->iph->ip_dst, sizeof(struct in_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	 idx->sip.ss_len = sizeof(struct sockaddr_in);
+	 idx->dip.ss_len = sizeof(struct sockaddr_in);
+#endif
+	 idx->proto = p->iph->ip_proto;
+    }
+    else if (p->ip6h != NULL)
+    {
+	 sin6_src = (struct sockaddr_in6 *)&idx->sip;
+	 sin6_dst = (struct sockaddr_in6 *)&idx->dip;
+	 sin6_src->sin6_family = PF_INET6;
+	 sin6_dst->sin6_family = PF_INET6;
+	 memmove(&sin6_src->sin6_addr, &p->ip6h->ip6_src, sizeof(struct in6_addr));
+	 memmove(&sin6_dst->sin6_addr, &p->ip6h->ip6_dst, sizeof(struct in6_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	 idx->sip.ss_len = sizeof(struct sockaddr_in6);
+	 idx->dip.ss_len = sizeof(struct sockaddr_in6);
+#endif
+	 idx->proto = p->ip6h->s_ip6_nxt;
+    }
+#else
     idx->sip = p->iph->ip_src.s_addr;
     idx->dip = p->iph->ip_dst.s_addr;
+#endif
     idx->sp = p->sp;
     idx->dp = p->dp;
-    idx->proto = p->iph->ip_proto;
     idx->metric = tag->tag_metric;
     idx->last_access = now;
     idx->event_id = event_id;
@@ -455,6 +571,10 @@
     TagNode idx;
     TagNode *returned = NULL;
     ubi_trRootPtr taglist = NULL;
+#if HAVE_SOCKADDR_STORAGE
+    struct sockaddr_in *sin_src = NULL, *sin_dst = NULL;
+    struct sockaddr_in6 *sin6_src = NULL, *sin6_dst = NULL;
+#endif
 
     /* check for active tags */
     if(!ubi_trCount(host_tag_cache_ptr) && !ubi_trCount(ssn_tag_cache_ptr))
@@ -462,9 +582,10 @@
         return 0;
     }
 
-    if(p == NULL || p->iph == NULL)
+    if(p == NULL || (p->iph == NULL && p->ip6h == NULL))
     {
         DEBUG_WRAP(DebugMessage(DEBUG_FLOW, "bailing from CheckTagList, p->iph == NULL\n"););
+	printf("bailing from CheckTagList\n");
         return 0;
     }
 
@@ -473,8 +594,37 @@
 
     DEBUG_WRAP(DebugMessage(DEBUG_FLOW, "[*] Checking session tag list (forward)...\n"););
 
+#if HAVE_SOCKADDR_STORAGE
+    if(p->iph != NULL)
+    {
+	 sin_src = (struct sockaddr_in *)&idx.sip;
+	 sin_dst = (struct sockaddr_in *)&idx.dip;
+	 sin_src->sin_family = PF_INET;
+	 sin_dst->sin_family = PF_INET;
+	 memmove(&sin_src->sin_addr, &p->iph->ip_src, sizeof(struct in_addr));
+	 memmove(&sin_dst->sin_addr, &p->iph->ip_dst, sizeof(struct in_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	 idx.sip.ss_len = sizeof(struct sockaddr_in);
+	 idx.dip.ss_len = sizeof(struct sockaddr_in);
+#endif
+    }
+    else if (p->ip6h != NULL)
+    {
+	 sin6_src = (struct sockaddr_in6 *)&idx.sip;
+	 sin6_dst = (struct sockaddr_in6 *)&idx.dip;
+	 sin6_src->sin6_family = PF_INET6;
+	 sin6_dst->sin6_family = PF_INET6;
+	 memmove(&sin6_src->sin6_addr, &p->ip6h->ip6_src, sizeof(struct in6_addr));
+	 memmove(&sin6_dst->sin6_addr, &p->ip6h->ip6_dst, sizeof(struct in6_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	 idx.sip.ss_len = sizeof(struct sockaddr_in6);
+	 idx.dip.ss_len = sizeof(struct sockaddr_in6);
+#endif
+    }
+#else
     idx.sip = p->iph->ip_src.s_addr;
     idx.dip = p->iph->ip_dst.s_addr;
+#endif /* HAVE_SOCKADDR_STORAGE */
     idx.sp = p->sp;
     idx.dp = p->dp;
 
@@ -483,8 +633,37 @@
 
     if(returned == NULL)
     {
+#if HAVE_SOCKADDR_STORAGE
+	if(p->iph != NULL)
+	{
+	    sin_src = (struct sockaddr_in *)&idx.sip;
+	    sin_dst = (struct sockaddr_in *)&idx.dip;
+	    sin_src->sin_family = PF_INET;
+	    sin_dst->sin_family = PF_INET;
+	    memmove(&sin_src->sin_addr, &p->iph->ip_src, sizeof(struct in_addr));
+	    memmove(&sin_dst->sin_addr, &p->iph->ip_dst, sizeof(struct in_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	    idx.sip.ss_len = sizeof(struct sockaddr_in);
+	    idx.dip.ss_len = sizeof(struct sockaddr_in);
+#endif
+	}
+	else if (p->ip6h != NULL)
+	{
+	    sin6_src = (struct sockaddr_in6 *)&idx.sip;
+	    sin6_dst = (struct sockaddr_in6 *)&idx.dip;
+	    sin6_src->sin6_family = PF_INET6;
+	    sin6_dst->sin6_family = PF_INET6;
+	    memmove(&sin6_src->sin6_addr, &p->ip6h->ip6_src, sizeof(struct in6_addr));
+	    memmove(&sin6_dst->sin6_addr, &p->ip6h->ip6_dst, sizeof(struct in6_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	    idx.sip.ss_len = sizeof(struct sockaddr_in6);
+	    idx.dip.ss_len = sizeof(struct sockaddr_in6);
+#endif
+	}
+#else
         idx.dip = p->iph->ip_src.s_addr;
         idx.sip = p->iph->ip_dst.s_addr;
+#endif /* HAVE_SOCKADDR_STORAGE */
         idx.dp = p->sp;
         idx.sp = p->dp;
 
@@ -503,7 +682,28 @@
             {
                 DEBUG_WRAP(DebugMessage(DEBUG_FLOW, "   Checking host tag list "
 					"(reverse)...\n"););
+#if HAVE_SOCKADDR_STORAGE
+		if(p->iph != NULL)
+		{
+		     sin_src = (struct sockaddr_in *)&idx.sip;
+		     sin_src->sin_family = PF_INET;
+		     memmove(&sin_src->sin_addr, &p->iph->ip_src, sizeof(struct in_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+		     idx.sip.ss_len = sizeof(struct sockaddr_in);
+#endif
+		}
+		else if (p->ip6h != NULL)
+		{
+		     sin6_src = (struct sockaddr_in6 *)&idx.sip;
+		     sin6_src->sin6_family = PF_INET6;
+		     memmove(&sin6_src->sin6_addr, &p->ip6h->ip6_src, sizeof(struct in6_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+		     idx.sip.ss_len = sizeof(struct sockaddr_in6);
+#endif
+		}
+#else
                 idx.sip = p->iph->ip_src.s_addr;
+#endif
 
                 returned = (TagNode *) ubi_sptFind(host_tag_cache_ptr, 
                         (ubi_btItemPtr)&idx);
@@ -549,7 +749,15 @@
 
         if(returned->metric & TAG_METRIC_BYTES)
         {
-            returned->bytes -= (int) ntohs(p->iph->ip_len);
+	    if (p->iph != NULL)
+	    {
+		returned->bytes -= (int) ntohs(p->iph->ip_len);
+	    }
+	    else if (p->ip6h != NULL)
+	    {
+		returned->bytes -= (int) IP6_HEADER_LEN;
+		returned->bytes -= (int) ntohs(p->ip6h->s_ip6_plen);
+	    }
 
             if(returned->bytes < 0)
             {
@@ -697,22 +905,42 @@
             switch(otn->tag->tag_type)
             {
                 case TAG_SESSION: 
-                    DEBUG_WRAP(DebugMessage(DEBUG_FLOW,"Setting session tag:\n");
-			       DebugMessage(DEBUG_FLOW,"SIP: 0x%X  SP: %d   DIP: 0x%X  "
-					    "DP: %d\n", p->iph->ip_src.s_addr,p->sp,
-					    p->iph->ip_dst.s_addr,p->dp););
-		    
+		    if (p->iph != NULL)
+		    {
+			DEBUG_WRAP(DebugMessage(DEBUG_FLOW,"Setting session tag:\n");
+				   DebugMessage(DEBUG_FLOW,"SIP: 0x%X  SP: %d   DIP: 0x%X  "
+						"DP: %d\n", p->iph->ip_src.s_addr,p->sp,
+						p->iph->ip_dst.s_addr,p->dp););
+		    }
+		    else if (p->ip6h != NULL)
+		    {
+			char src[INET6_ADDRSTRLEN], dst[INET6_ADDRSTRLEN];
+			inet_ntop(PF_INET6, &p->ip6h->ip6_src, src, INET6_ADDRSTRLEN);
+			inet_ntop(PF_INET6, &p->ip6h->ip6_dst, dst, INET6_ADDRSTRLEN);
+			DEBUG_WRAP(DebugMessage(DEBUG_FLOW,"Setting session tag:\n");
+				   DebugMessage(DEBUG_FLOW,"SIP: %s  SP: %d   DIP: %s  DP: %d\n", src,p->sp, dst,p->dp););
+		    }
                     TagSession(p, otn->tag, p->pkth->ts.tv_sec, event_id);
                     break;
 
                 case TAG_HOST:
-                    DEBUG_WRAP(DebugMessage(DEBUG_FLOW,"Setting host tag:\n");
-			       DebugMessage(DEBUG_FLOW,"SIP: 0x%X  SP: %d   DIP: 0x%X  "
-					    "DP: %d\n", p->iph->ip_src.s_addr,p->sp,
-					    p->iph->ip_dst.s_addr,p->dp););
+		    if (p->iph != NULL)
+		    {
+			DEBUG_WRAP(DebugMessage(DEBUG_FLOW,"Setting host tag:\n");
+				   DebugMessage(DEBUG_FLOW,"SIP: 0x%X  SP: %d   DIP: 0x%X  "
+						"DP: %d\n", p->iph->ip_src.s_addr,p->sp,
+						p->iph->ip_dst.s_addr,p->dp););
+		    }
+		    else if (p->ip6h != NULL)
+		    {
+			char src[INET6_ADDRSTRLEN], dst[INET6_ADDRSTRLEN];
+			inet_ntop(PF_INET6, &p->ip6h->ip6_src, src, INET6_ADDRSTRLEN);
+			inet_ntop(PF_INET6, &p->ip6h->ip6_dst, dst, INET6_ADDRSTRLEN);
+			DEBUG_WRAP(DebugMessage(DEBUG_FLOW,"Setting session tag:\n");
+				   DebugMessage(DEBUG_FLOW,"SIP: %s  SP: %d   DIP: %s  DP: %d\n", src,p->sp, dst,p->dp););
+		    }
 		    TagHost(p, otn->tag, p->pkth->ts.tv_sec, event_id);
                     break;    
-    
                 default:
                     LogMessage("WARNING: Trying to tag with unknown "
                             "tag type!\n");
diff -ur snort-2.0.2/src/tag.h snort-2.0.2-ipv6/src/tag.h
--- snort-2.0.2/src/tag.h	Sat Mar 29 05:10:02 2003
+++ snort-2.0.2-ipv6/src/tag.h	Tue Sep 30 13:25:25 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: tag.h,v 1.10 2003/03/28 20:10:02 chrisgreen Exp $ */
+/* $Id: tag.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 #ifndef __TAG_H__
 #define __TAG_H__
 
diff -ur snort-2.0.2/src/threshold.c snort-2.0.2-ipv6/src/threshold.c
--- snort-2.0.2/src/threshold.c	Wed Oct 23 11:48:11 2002
+++ snort-2.0.2-ipv6/src/threshold.c	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: threshold.c,v 1.3 2002/10/23 02:48:11 chrisgreen Exp $ */
+/* $Id: threshold.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/threshold.h snort-2.0.2-ipv6/src/threshold.h
--- snort-2.0.2/src/threshold.h	Tue Aug 27 07:09:20 2002
+++ snort-2.0.2-ipv6/src/threshold.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: threshold.h,v 1.1 2002/08/26 22:09:20 roesch Exp $ */
+/* $Id: threshold.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/ubi_BinTree.c snort-2.0.2-ipv6/src/ubi_BinTree.c
--- snort-2.0.2/src/ubi_BinTree.c	Fri Mar 14 17:28:51 2003
+++ snort-2.0.2-ipv6/src/ubi_BinTree.c	Tue Sep 30 13:25:25 2003
@@ -1,5 +1,5 @@
 /* ========================================================================== **
- * $Id: ubi_BinTree.c,v 1.4 2003/03/14 08:28:51 chris_reid Exp $
+ * $Id: ubi_BinTree.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
  *
  *                              ubi_BinTree.c
  *
@@ -29,6 +29,9 @@
  * -------------------------------------------------------------------------- **
  *
  * $Log: ubi_BinTree.c,v $
+ * Revision 1.1.1.1  2003/09/30 04:25:25  abekatsu
+ * Base package
+ *
  * Revision 1.4  2003/03/14 08:28:51  chris_reid
  * * src/detect.c
  *   - corrected un-initialized memory in CreateRuleType()
@@ -225,9 +228,9 @@
  */
 
 static char ModuleID[] = "ubi_BinTree\n\
-\t$Revision: 1.4 $\n\
-\t$Date: 2003/03/14 08:28:51 $\n\
-\t$Author: chris_reid $\n";
+\t$Revision: 1.1.1.1 $\n\
+\t$Date: 2003/09/30 04:25:25 $\n\
+\t$Author: abekatsu $\n";
 
 /* ========================================================================== **
  * Internal (private) functions.
diff -ur snort-2.0.2/src/ubi_BinTree.h snort-2.0.2-ipv6/src/ubi_BinTree.h
--- snort-2.0.2/src/ubi_BinTree.h	Fri Mar 14 17:28:51 2003
+++ snort-2.0.2-ipv6/src/ubi_BinTree.h	Tue Sep 30 13:25:25 2003
@@ -1,6 +1,6 @@
 #ifndef UBI_BINTREE_H
 #define UBI_BINTREE_H
-/* $Id: ubi_BinTree.h,v 1.2 2003/03/14 08:28:51 chris_reid Exp $ */
+/* $Id: ubi_BinTree.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /* ========================================================================== **
  *                              ubi_BinTree.h
  *
@@ -30,6 +30,9 @@
  * -------------------------------------------------------------------------- **
  *
  * $Log: ubi_BinTree.h,v $
+ * Revision 1.1.1.1  2003/09/30 04:25:25  abekatsu
+ * Base package
+ *
  * Revision 1.2  2003/03/14 08:28:51  chris_reid
  * * src/detect.c
  *   - corrected un-initialized memory in CreateRuleType()
diff -ur snort-2.0.2/src/ubi_SplayTree.c snort-2.0.2-ipv6/src/ubi_SplayTree.c
--- snort-2.0.2/src/ubi_SplayTree.c	Fri Mar 14 17:28:51 2003
+++ snort-2.0.2-ipv6/src/ubi_SplayTree.c	Tue Sep 30 13:25:25 2003
@@ -1,5 +1,5 @@
 /* ========================================================================== **
- * $Id: ubi_SplayTree.c,v 1.3 2003/03/14 08:28:51 chris_reid Exp $
+ * $Id: ubi_SplayTree.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
  *
  *                              ubi_SplayTree.c
  *
@@ -39,6 +39,9 @@
  * -------------------------------------------------------------------------- **
  *
  * $Log: ubi_SplayTree.c,v $
+ * Revision 1.1.1.1  2003/09/30 04:25:25  abekatsu
+ * Base package
+ *
  * Revision 1.3  2003/03/14 08:28:51  chris_reid
  * * src/detect.c
  *   - corrected un-initialized memory in CreateRuleType()
@@ -200,9 +203,9 @@
  */
 
 static char ModuleID[] = "ubi_SplayTree\n\
-\t$Revision: 1.3 $\n\
-\t$Date: 2003/03/14 08:28:51 $\n\
-\t$Author: chris_reid $\n";
+\t$Revision: 1.1.1.1 $\n\
+\t$Date: 2003/09/30 04:25:25 $\n\
+\t$Author: abekatsu $\n";
 
 
 /* ========================================================================== **
diff -ur snort-2.0.2/src/ubi_SplayTree.h snort-2.0.2-ipv6/src/ubi_SplayTree.h
--- snort-2.0.2/src/ubi_SplayTree.h	Fri Mar 14 17:28:51 2003
+++ snort-2.0.2-ipv6/src/ubi_SplayTree.h	Tue Sep 30 13:25:25 2003
@@ -1,6 +1,6 @@
 #ifndef UBI_SPLAYTREE_H
 #define UBI_SPLAYTREE_H
-/* $Id: ubi_SplayTree.h,v 1.2 2003/03/14 08:28:51 chris_reid Exp $ */
+/* $Id: ubi_SplayTree.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /* ========================================================================== **
  *                              ubi_SplayTree.h
  *
@@ -40,6 +40,9 @@
  * -------------------------------------------------------------------------- **
  *
  * $Log: ubi_SplayTree.h,v $
+ * Revision 1.1.1.1  2003/09/30 04:25:25  abekatsu
+ * Base package
+ *
  * Revision 1.2  2003/03/14 08:28:51  chris_reid
  * * src/detect.c
  *   - corrected un-initialized memory in CreateRuleType()
diff -ur snort-2.0.2/src/util.c snort-2.0.2-ipv6/src/util.c
--- snort-2.0.2/src/util.c	Thu Sep 11 04:22:31 2003
+++ snort-2.0.2-ipv6/src/util.c	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: util.c,v 1.30 2003/09/02 18:06:30 chris_reid Exp $ */
+/* $Id: util.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/util.h snort-2.0.2-ipv6/src/util.h
--- snort-2.0.2/src/util.h	Thu Mar 27 06:59:30 2003
+++ snort-2.0.2-ipv6/src/util.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: util.h,v 1.12 2003/03/26 21:59:30 chrisgreen Exp $ */
+/* $Id: util.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/win32/Makefile.am snort-2.0.2-ipv6/src/win32/Makefile.am
--- snort-2.0.2/src/win32/Makefile.am	Tue Sep  3 02:46:02 2002
+++ snort-2.0.2-ipv6/src/win32/Makefile.am	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.4 2002/09/02 17:46:02 chrisgreen Exp $
+# $Id: Makefile.am,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
 AUTOMAKE_OPTIONS=foreign no-dependencies
 # find . -type f | grep -ve 'CVS\|Makefile\.\(in\|am\)'
 EXTRA_DIST=./WIN32-Code/getopt.c \
diff -ur snort-2.0.2/src/win32/WIN32-Code/getopt.c snort-2.0.2-ipv6/src/win32/WIN32-Code/getopt.c
--- snort-2.0.2/src/win32/WIN32-Code/getopt.c	Fri Mar 14 17:28:55 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Code/getopt.c	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: getopt.c,v 1.3 2003/03/14 08:28:55 chris_reid Exp $ */
+/* $Id: getopt.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/win32/WIN32-Code/misc.c snort-2.0.2-ipv6/src/win32/WIN32-Code/misc.c
--- snort-2.0.2/src/win32/WIN32-Code/misc.c	Thu May 29 21:53:49 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Code/misc.c	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: misc.c,v 1.5 2003/05/28 15:50:17 chris_reid Exp $ */
+/* $Id: misc.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/win32/WIN32-Code/name.h snort-2.0.2-ipv6/src/win32/WIN32-Code/name.h
--- snort-2.0.2/src/win32/WIN32-Code/name.h	Fri Mar 14 17:28:56 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Code/name.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: name.h,v 1.3 2003/03/14 08:28:56 chris_reid Exp $ */
+/* $Id: name.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 //
 //  Values are 32 bit values layed out as follows:
 //
diff -ur snort-2.0.2/src/win32/WIN32-Code/syslog.c snort-2.0.2-ipv6/src/win32/WIN32-Code/syslog.c
--- snort-2.0.2/src/win32/WIN32-Code/syslog.c	Thu Sep 11 04:22:34 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Code/syslog.c	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: syslog.c,v 1.7 2003/09/02 18:06:30 chris_reid Exp $ */
+/* $Id: syslog.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /* -/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/
  . Copyright (c) 2001 Michael Davis <mike@datanerds.net>
  . All rights reserved.
diff -ur snort-2.0.2/src/win32/WIN32-Code/win32_service.c snort-2.0.2-ipv6/src/win32/WIN32-Code/win32_service.c
--- snort-2.0.2/src/win32/WIN32-Code/win32_service.c	Mon Aug  4 23:32:53 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Code/win32_service.c	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: win32_service.c,v 1.6 2003/07/28 17:35:22 chris_reid Exp $ */
+/* $Id: win32_service.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Chris Reid <chris.reid@codecraftconsulants.com>
 **
diff -ur snort-2.0.2/src/win32/WIN32-Includes/NET/Bpf.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/NET/Bpf.h
--- snort-2.0.2/src/win32/WIN32-Includes/NET/Bpf.h	Fri Mar 14 17:28:56 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/NET/Bpf.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: Bpf.h,v 1.3 2003/03/14 08:28:56 chris_reid Exp $ */
+/* $Id: Bpf.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*-
  * Copyright (c) 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997
  *	The Regents of the University of California.  All rights reserved.
@@ -38,7 +38,7 @@
  *
  *      @(#)bpf.h       7.1 (Berkeley) 5/7/91
  *
- * @(#) $Header: /cvsroot/snort/snort/src/win32/WIN32-Includes/NET/Bpf.h,v 1.3 2003/03/14 08:28:56 chris_reid Exp $ (LBL)
+ * @(#) $Header: /mnt1/cvsroot/snort-ipv6/src/win32/WIN32-Includes/NET/Bpf.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ (LBL)
  */
 
 #ifndef BPF_MAJOR_VERSION
diff -ur snort-2.0.2/src/win32/WIN32-Includes/config.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/config.h
--- snort-2.0.2/src/win32/WIN32-Includes/config.h	Thu Sep 11 06:43:30 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/config.h	Thu Dec 18 13:08:26 2003
@@ -1,4 +1,4 @@
-/* $Id: config.h,v 1.20 2003/07/25 21:27:18 chris_reid Exp $ */
+/* $Id: config.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 
 #ifndef __CONFIG_H__
 #define __CONFIG_H__
@@ -78,7 +78,7 @@
  * should both match the ones specified in the
  * AM_INIT_AUTOMAKE() macro of configure.in
  */
-#define VERSION "2.0.2"VERSION_ENABLE_ODBC""VERSION_ENABLE_MYSQL""VERSION_ENABLE_MSSQL""VERSION_ENABLE_RESPONSE"-WIN32"VERSION_DEBUG
+#define VERSION "2.0.2-ipv6"VERSION_ENABLE_ODBC""VERSION_ENABLE_MYSQL""VERSION_ENABLE_MSSQL""VERSION_ENABLE_RESPONSE"-WIN32"VERSION_DEBUG
 #define PACKAGE "snort"
 
 
diff -ur snort-2.0.2/src/win32/WIN32-Includes/getopt.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/getopt.h
--- snort-2.0.2/src/win32/WIN32-Includes/getopt.h	Fri Mar 14 17:28:56 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/getopt.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: getopt.h,v 1.3 2003/03/14 08:28:56 chris_reid Exp $ */
+/* $Id: getopt.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/win32/WIN32-Includes/gnuc.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/gnuc.h
--- snort-2.0.2/src/win32/WIN32-Includes/gnuc.h	Wed Mar  5 12:33:19 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/gnuc.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* @(#) $Header: /cvsroot/snort/snort/src/win32/WIN32-Includes/gnuc.h,v 1.4 2003/03/05 03:33:19 chris_reid Exp $ (LBL) */
+/* @(#) $Header: /mnt1/cvsroot/snort-ipv6/src/win32/WIN32-Includes/gnuc.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ (LBL) */
 
 /* Define __P() macro, if necessary */
 
diff -ur snort-2.0.2/src/win32/WIN32-Includes/libnet/gnuc.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/gnuc.h
--- snort-2.0.2/src/win32/WIN32-Includes/libnet/gnuc.h	Mon Jul  8 22:50:37 2002
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/gnuc.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* @(#) $Header: /cvsroot/snort/snort/src/win32/WIN32-Includes/libnet/gnuc.h,v 1.2 2002/07/08 13:50:37 chrisgreen Exp $ (LBL) */
+/* @(#) $Header: /mnt1/cvsroot/snort-ipv6/src/win32/WIN32-Includes/libnet/gnuc.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ (LBL) */
 
 /* Define __P() macro, if necessary */
 
diff -ur snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-asn1.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-asn1.h
--- snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-asn1.h	Tue Aug  7 22:15:12 2001
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-asn1.h	Tue Sep 30 13:25:25 2003
@@ -1,5 +1,5 @@
 /*
- *  $Id: libnet-asn1.h,v 1.1 2001/08/07 13:15:12 fygrave Exp $
+ *  $Id: libnet-asn1.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
  *
  *  libnet-asn1.h - Network routine library ASN.1 header file
  *
diff -ur snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-functions.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-functions.h
--- snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-functions.h	Tue Aug  7 22:15:12 2001
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-functions.h	Tue Sep 30 13:25:25 2003
@@ -1,5 +1,5 @@
 /*
- *  $Id: libnet-functions.h,v 1.1 2001/08/07 13:15:12 fygrave Exp $
+ *  $Id: libnet-functions.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
  *
  *  libnet-functions.h - Network routine library function prototype header file
  *
diff -ur snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-headers.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-headers.h
--- snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-headers.h	Tue Aug  7 22:15:12 2001
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-headers.h	Tue Sep 30 13:25:25 2003
@@ -1,5 +1,5 @@
 /*
- *  $Id: libnet-headers.h,v 1.1 2001/08/07 13:15:12 fygrave Exp $
+ *  $Id: libnet-headers.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
  *
  *  libnet-headers.h - Network routine library headers header file
  *
diff -ur snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-macros.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-macros.h
--- snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-macros.h	Tue Aug  7 22:15:12 2001
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-macros.h	Tue Sep 30 13:25:25 2003
@@ -1,5 +1,5 @@
 /*
- *  $Id: libnet-macros.h,v 1.1 2001/08/07 13:15:12 fygrave Exp $
+ *  $Id: libnet-macros.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
  *
  *  libnet-macros.h - Network routine library macro header file
  *
diff -ur snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-ospf.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-ospf.h
--- snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-ospf.h	Tue Aug  7 22:15:12 2001
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-ospf.h	Tue Sep 30 13:25:25 2003
@@ -1,5 +1,5 @@
 /*
- *  $Id: libnet-ospf.h,v 1.1 2001/08/07 13:15:12 fygrave Exp $
+ *  $Id: libnet-ospf.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
  *
  *  libnet-ospf.h - Network routine library headers header file
  *
diff -ur snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-structures.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-structures.h
--- snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet-structures.h	Tue Aug  7 22:15:12 2001
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet-structures.h	Tue Sep 30 13:25:25 2003
@@ -1,5 +1,5 @@
 /*
- *  $Id: libnet-structures.h,v 1.1 2001/08/07 13:15:12 fygrave Exp $
+ *  $Id: libnet-structures.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
  *
  *  libnet-structures.h - Network routine library structures header file
  *
diff -ur snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet.h
--- snort-2.0.2/src/win32/WIN32-Includes/libnet/libnet.h	Tue Aug  7 22:15:12 2001
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/libnet/libnet.h	Tue Sep 30 13:25:25 2003
@@ -1,5 +1,5 @@
 /*
- *  $Id: libnet.h,v 1.1 2001/08/07 13:15:12 fygrave Exp $
+ *  $Id: libnet.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $
  *
  *  libnet.h - Network routine library header file
  *
diff -ur snort-2.0.2/src/win32/WIN32-Includes/pcap-namedb.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/pcap-namedb.h
--- snort-2.0.2/src/win32/WIN32-Includes/pcap-namedb.h	Fri Mar 14 17:28:56 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/pcap-namedb.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: pcap-namedb.h,v 1.3 2003/03/14 08:28:56 chris_reid Exp $ */
+/* $Id: pcap-namedb.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
  * Copyright (c) 1994, 1996
  *	The Regents of the University of California.  All rights reserved.
@@ -31,7 +31,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * @(#) $Header: /cvsroot/snort/snort/src/win32/WIN32-Includes/pcap-namedb.h,v 1.3 2003/03/14 08:28:56 chris_reid Exp $ (LBL)
+ * @(#) $Header: /mnt1/cvsroot/snort-ipv6/src/win32/WIN32-Includes/pcap-namedb.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ (LBL)
  */
 
 #ifndef lib_pcap_ethers_h
diff -ur snort-2.0.2/src/win32/WIN32-Includes/pcap.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/pcap.h
--- snort-2.0.2/src/win32/WIN32-Includes/pcap.h	Fri Mar 14 17:28:56 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/pcap.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: pcap.h,v 1.4 2003/03/14 08:28:56 chris_reid Exp $ */
+/* $Id: pcap.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
  * Copyright (c) 1993, 1994, 1995, 1996, 1997
  *	The Regents of the University of California.  All rights reserved.
@@ -31,7 +31,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * @(#) $Header: /cvsroot/snort/snort/src/win32/WIN32-Includes/pcap.h,v 1.4 2003/03/14 08:28:56 chris_reid Exp $ (LBL)
+ * @(#) $Header: /mnt1/cvsroot/snort-ipv6/src/win32/WIN32-Includes/pcap.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ (LBL)
  */
 
 #ifndef lib_pcap_h
diff -ur snort-2.0.2/src/win32/WIN32-Includes/rpc/auth.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/rpc/auth.h
--- snort-2.0.2/src/win32/WIN32-Includes/rpc/auth.h	Fri Mar 14 17:28:56 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/rpc/auth.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/*  $Id: auth.h,v 1.2 2003/03/14 08:28:56 chris_reid Exp $ */
+/*  $Id: auth.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*	$OpenBSD: auth.h,v 1.2 1997/09/21 10:46:09 niklas Exp $	*/
 /*	$NetBSD: auth.h,v 1.7 1995/04/29 05:27:55 cgd Exp $	*/
 
diff -ur snort-2.0.2/src/win32/WIN32-Includes/rpc/auth_unix.h snort-2.0.2-ipv6/src/win32/WIN32-Includes/rpc/auth_unix.h
--- snort-2.0.2/src/win32/WIN32-Includes/rpc/auth_unix.h	Fri Mar 14 17:28:56 2003
+++ snort-2.0.2-ipv6/src/win32/WIN32-Includes/rpc/auth_unix.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/*  $Id: auth_unix.h,v 1.2 2003/03/14 08:28:56 chris_reid Exp $ */
+/*  $Id: auth_unix.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*	$OpenBSD: auth_unix.h,v 1.2 1997/09/21 10:46:09 niklas Exp $	*/
 /*	$NetBSD: auth_unix.h,v 1.4 1994/10/26 00:56:56 cgd Exp $	*/
 
